Reorder application stages
Sets the order of the stages. Send every stage’s key, once each, in the order they go. Answers with the whole list. Needs admin on Animals.
PUT
https://{organization}.rescueconsole.com
/
api
/
animals
/
application-stages
/
order
Reorder application stages
curl --request PUT \
--url https://{organization}.rescueconsole.com/api/animals/application-stages/order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keys": [
"draft",
"submitted",
"assigned",
"under_review",
"home_visit_booked",
"pending_third_party",
"meet_scheduled",
"hold_better_match"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keys: [
'draft',
'submitted',
'assigned',
'under_review',
'home_visit_booked',
'pending_third_party',
'meet_scheduled',
'hold_better_match'
]
})
};
fetch('https://{organization}.rescueconsole.com/api/animals/application-stages/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/application-stages/order"
payload = { "keys": ["draft", "submitted", "assigned", "under_review", "home_visit_booked", "pending_third_party", "meet_scheduled", "hold_better_match"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"results": [
{
"key": "<string>",
"label": "<string>",
"kind": "adoption",
"color": "<string>",
"sort_order": 123,
"is_system": true,
"is_enabled": true,
"status": "draft"
}
],
"usage": {}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
⌘I
Reorder application stages
curl --request PUT \
--url https://{organization}.rescueconsole.com/api/animals/application-stages/order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keys": [
"draft",
"submitted",
"assigned",
"under_review",
"home_visit_booked",
"pending_third_party",
"meet_scheduled",
"hold_better_match"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keys: [
'draft',
'submitted',
'assigned',
'under_review',
'home_visit_booked',
'pending_third_party',
'meet_scheduled',
'hold_better_match'
]
})
};
fetch('https://{organization}.rescueconsole.com/api/animals/application-stages/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/application-stages/order"
payload = { "keys": ["draft", "submitted", "assigned", "under_review", "home_visit_booked", "pending_third_party", "meet_scheduled", "hold_better_match"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"results": [
{
"key": "<string>",
"label": "<string>",
"kind": "adoption",
"color": "<string>",
"sort_order": 123,
"is_system": true,
"is_enabled": true,
"status": "draft"
}
],
"usage": {}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
